Summary: 	Playable implementation of the Settlers of Catan 
Name: 		pioneers
Version: 	14.1
Release: %mkrel 2
Group: 		Games/Boards
License: 	GPLv2+
Url: 		http://pio.sourceforge.net/
Source: 	http://downloads.sourceforge.net/project/pio/Source/%{name}-%{version}.tar.gz
Source2:	pioneers-0.9.55-icons.tar.bz2
#Patch: pioneers-0.12.1-desktopentry.patch
BuildRoot: 	%_tmppath/%{name}-%version-root
BuildRequires:  libgnome2-devel
BuildRequires:  gtk+2-devel
%if %mdvver >= 201200
BuildRequires:  libnotify-devel >= 0.7.4
%endif
BuildRequires:  avahi-client-devel
BuildRequires:  scrollkeeper
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
Provides: gnocatan
Obsoletes: gnocatan

%description 
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

%package 	server-console
Summary:	Pioneers Console Server
Group: 		Games/Boards
Requires:	pioneers-server-data = %version
Provides: gnocatan-server-console
Obsoletes: gnocatan-server-console
%description 	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.


%package 	server-gtk
Summary:	Pioneers GTK Server
Group: 		Games/Boards
Requires:	pioneers-server-data = %version
Provides: gnocatan-server-gtk
Obsoletes: gnocatan-server-gtk
%description 	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters.  Customisation is fairly limited at the moment, but this
should change in later versions.  Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package 	server-data
Summary: 	Pioneers Data
Group: 		Games/Boards
Provides: gnocatan-server-data
Obsoletes: gnocatan-server-data
%description 	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Pioneers games.


%prep
%setup -q -a 2
%apply_patches


%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

cp -r icons %buildroot%_datadir/

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/pioneers
%{_bindir}/pioneers-editor
%{_datadir}/applications/pioneers.desktop
%{_datadir}/applications/pioneers-editor.desktop
%{_datadir}/pixmaps/pioneers.png
%{_datadir}/pixmaps/pioneers-editor.png
%{_datadir}/pixmaps/pioneers/
%dir %{_datadir}/games/pioneers
%{_datadir}/games/pioneers/themes/
%{_datadir}/omf/pioneers
%{_mandir}/man6/pioneers.6*
%{_mandir}/man6/pioneers-editor.6*
%_datadir/icons/hicolor/*/apps/pioneers.*
%_datadir/icons/hicolor/*/apps/pioneers-editor.*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name-editor.png
%_liconsdir/%name-editor.png
%_miconsdir/%name-editor.png

%files server-console
%defattr(-,root,root)
%doc README
%{_bindir}/pioneers-server-console
%{_bindir}/pioneers-meta-server
%{_mandir}/man6/pioneers-server-console.6*
%{_mandir}/man6/pioneers-meta-server.6*

%files server-gtk
%defattr(-,root,root)
%doc README
%{_bindir}/pioneers-server-gtk
%{_datadir}/applications/pioneers-server.desktop
%{_mandir}/man6/pioneers-server-gtk.6*
%_datadir/pixmaps/%name-server.png
%_datadir/icons/hicolor/*/apps/pioneers-server.*
%_iconsdir/%name-server.png
%_liconsdir/%name-server.png
%_miconsdir/%name-server.png

%files server-data
%defattr(-,root,root)
%doc README
%{_bindir}/pioneersai
%{_mandir}/man6/pioneersai.6*
%dir %{_datadir}/games/pioneers
%{_datadir}/games/pioneers/computer_names
%{_datadir}/games/pioneers/*.game




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 14.1-2.mga3
+ Revision: 377749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 buchan <buchan> 14.1-1.mga3
+ Revision: 262555
- Minor fixes
- imported package pioneers

